/*! @file

    @id $Id$
*/
//       1         2         3         4         5         6         7         8
// 45678901234567890123456789012345678901234567890123456789012345678901234567890

#include <qbrowserlib/filestorage.hxx>

#include<QtCore/QDebug>

class TestFileWatch: public QObject {
    Q_OBJECT;
  public:
    TestFileWatch(QString file): _storage(file) {
      assert(connect(&_storage, SIGNAL(changed()), SLOT(changed())));
    }
  private Q_SLOTS:
    void changed() {
      qDebug()<<"File has changed: "<<_storage.read().join("; ");
    }
  private:
    FileStorage _storage;
};
